declare type cmpFn<T> = (elem1: T, elem2: T) => number;
declare function defaultCmp<T>(elem1: T, elem2: T): number;
declare function union<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): T[];
declare function intersection<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): T[];
declare function difference<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): T[];
declare function symmetric_difference<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): T[];
declare function merge<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): T[];
declare function inplace_merge<T>(arr: T[], middle: number, opt_cmpFn?: cmpFn<T>): void;
declare function includes<T>(arr1: T[], arr2: T[], opt_cmpFn?: cmpFn<T>): boolean;
declare function insert<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): void;
declare function remove<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): boolean;
declare function binary_search<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): number;
declare function binary_search_ge<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): number;
declare function binary_search_gt<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): number;
declare function equal_range<T>(arr: T[], elem: T, opt_cmpFn?: cmpFn<T>): number[];
